import { CoreRolesService } from './core-roles.service';
import { CreateCoreRoleDto } from './dto/create-core-role.dto';
import { UpdateCoreRoleDto } from './dto/update-core-role.dto';
export declare class CoreRolesController {
    private readonly coreRolesService;
    constructor(coreRolesService: CoreRolesService);
    create(createCoreRoleDto: CreateCoreRoleDto): string;
    findAll(): string;
    findOne(id: string): string;
    update(id: string, updateCoreRoleDto: UpdateCoreRoleDto): string;
    remove(id: string): string;
}
