"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("@nestjs/common");
const core_roles_service_1 = require("./core-roles.service");
const create_core_role_dto_1 = require("./dto/create-core-role.dto");
const update_core_role_dto_1 = require("./dto/update-core-role.dto");
let CoreRolesController = class CoreRolesController {
    constructor(coreRolesService) {
        this.coreRolesService = coreRolesService;
    }
    create(createCoreRoleDto) {
        return this.coreRolesService.create(createCoreRoleDto);
    }
    findAll() {
        return this.coreRolesService.findAll();
    }
    findOne(id) {
        return this.coreRolesService.findOne(+id);
    }
    update(id, updateCoreRoleDto) {
        return this.coreRolesService.update(+id, updateCoreRoleDto);
    }
    remove(id) {
        return this.coreRolesService.remove(+id);
    }
};
__decorate([
    common_1.Post(),
    __param(0, common_1.Body()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [create_core_role_dto_1.CreateCoreRoleDto]),
    __metadata("design:returntype", void 0)
], CoreRolesController.prototype, "create", null);
__decorate([
    common_1.Get(),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", void 0)
], CoreRolesController.prototype, "findAll", null);
__decorate([
    common_1.Get(':id'),
    __param(0, common_1.Param('id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], CoreRolesController.prototype, "findOne", null);
__decorate([
    common_1.Patch(':id'),
    __param(0, common_1.Param('id')), __param(1, common_1.Body()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, update_core_role_dto_1.UpdateCoreRoleDto]),
    __metadata("design:returntype", void 0)
], CoreRolesController.prototype, "update", null);
__decorate([
    common_1.Delete(':id'),
    __param(0, common_1.Param('id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], CoreRolesController.prototype, "remove", null);
CoreRolesController = __decorate([
    common_1.Controller('core-roles'),
    __metadata("design:paramtypes", [core_roles_service_1.CoreRolesService])
], CoreRolesController);
exports.CoreRolesController = CoreRolesController;
